#
#  Makefile for wp2x configs as a component to the Harvest Gatherer
#
#  $Id: Makefile.in,v 1.8 1995/07/20 02:09:54 hardy Exp $
#
prefix = @prefix@
INSTALL_BINDIR  = $(prefix)/bin
INSTALL_LIBDIR  = $(prefix)/lib
INSTALL_UTILDIR = $(prefix)/lib/gatherer
INSTALL_MANDIR  = $(prefix)/man

INSTALL         = @INSTALL@
INSTALL_BIN     = @INSTALL_PROGRAM@
INSTALL_FILE    = @INSTALL_DATA@

WP2X_DIR	= $(INSTALL_UTILDIR)/wp2x-lib
CFGFILES	= accent.cfg ascii.cfg gml.cfg html.cfg latex.cfg \
		  sample.cfg script.cfg tex.cfg troff.cfg
INPUTS 		= simple-iso.wp wp.wp

all:
	@echo "Nothing to do."

install:	$(CFGFILES)
	@if test ! -d $(WP2X_DIR); then \
		mkdir $(WP2X_DIR); \
	fi
	@for f in $(CFGFILES); do \
		echo Installing $$f in $(WP2X_DIR); \
		$(INSTALL_FILE) $$f $(WP2X_DIR); \
	done

clean:

realclean:
	-rm -f Makefile

DoRegress: 
	@echo Starting regression tests.
	INPUTS='$(INPUTS)' CFGFILES='$(CFGFILES)' sh do-regress

GenRegress: 
	@echo Generating regression data
	INPUTS='$(INPUTS)' CFGFILES='$(CFGFILES)' sh gen-regress
